% Test if real communities can be described using either approach
if ~exist('communities', 'var')
    dataset = '../data/com-youtube.ungraph.txt';
    communityInfo = '../data/com-youtube.all.cmty.txt';
    minsize = 100; maxsize = 1000; skiplines = 4;
    [communities, graph, commVec] = readCommunities(dataset, communityInfo, skiplines, minsize, maxsize);
    % small ones first
    [order,indices] = sort(cellfun('length', commVec), 'ascend');
    communities=communities(indices);
    commVec = commVec(indices);
end
resultHGamma = nan(length(communities), 8);
resultXSigma = nan(length(communities), 8);
intermediatePlots = false;

for k=1:length(communities)
    c = degree_ord(communities{k});
    [resultHGamma(k,:), resultXSigma(k,:)] = compareApproachesBody(c,intermediatePlots);
end

titles = {'LL'; 'area'; 'H'; 'gamma'; 'p'; 'theta'; 'x'; 'sigma'};
for q=8:-1:1 
    figure;
    marker = 1;
    if strcmp(titles{q}, 'H') || strcmp(titles{q}, 'gamma')
        marker = 3;
    end
    plot(resultHGamma(:,q), 'LineWidth', marker);
    hold on;
    marker = 1;
    if strcmp(titles{q}, 'x') || strcmp(titles{q}, 'sigma')
        marker = 3;
    end
    plot(resultXSigma(:,q), 'LineWidth', marker);
    title(titles{q});
end;
