function [ triangle ] = getTriangle( graph )
%GETTRIANGLE Returns a triangle from the provided graph
commonNeighbors = [];
while isempty(commonNeighbors)
    rand_idx = randi([1 nnz(graph)],1,1);
    [a,b] = find(graph);
    node_a = a(rand_idx);
    node_b = b(rand_idx);
    connections = sum(graph([node_a node_b],:));
    connections([node_a node_b]) = 0;
    commonNeighbors = find(connections > 1);
end
numTriangles = length(commonNeighbors);
triangle = [node_a node_b commonNeighbors(randi([1 numTriangles],1,1))];

