function [ c ] = makeCommunity( N, p1, p2, communityMemberTest)
%MAKECOMMUNITY Creates a community with the parameters used by the
%communityMemberTest function
c = zeros(N);
if isequal(communityMemberTest, @conditionHGamma)
    %faster version for H gamma approach
    H = p1;
    gamma = p2;

    c(1:(H+1), 1:N) = 1;
    
    for i=(H+1):gamma
        % derived from maxIndex = floor(theta/(i+p)-p) for integer division
        maxIndex = getMaxIndexHGamma(N,H,gamma,i);
        c(i+1,i:maxIndex+1) = 1; 
    end
    c = triu(c) | transpose(triu(c));
else
    for i=0:N-1
        for j=(i+1):N-1
            if isInCommunity([i,j], N, p1, p2, communityMemberTest)
                c(i+1,j+1) = 1;
                c(j+1,i+1) = 1;
            end
        end
    end
end
end
