function [ p1, p2,LL ] = recoverCommunity( c, paramsToFind, specialX )
%RECOVERCOMMUNITY returns a model for a community given the adjacency matrix
if ~exist('specialX', 'var')
    specialX = [];
end
switch paramsToFind
    case 'H,gamma'
        [p1,p2,LL] = recoverHGammaExhaustively(c);
    case 'p,theta'
        [H,gamma,~] = recoverHGammaExhaustively(c);
        p1 = getP(gamma, length(c), H);
        p2 = getTheta(gamma, length(c), H);
        LL = computeLL(getCommunityStatistics(c, p1, p2, @conditionPTheta));
    case 'x,sigma'
        [p1,p2,LL] = recoverXSigmaExhaustively(c, specialX);
    otherwise
        error('Unknown parameters requested');
end

