graph = zeros(101,101); 
lengths = [80, 80, 50, 40];
offsets = [1,1,31,61];
Hs = [2, 4, 4, 1];
gammas = [30, 15, 10, 5];

for i=1:length(lengths)
    comms(i).members=offsets(i):offsets(i)+lengths(i)-1;
    comms(i).p1=Hs(i);
    comms(i).p2=gammas(i);
    comms(i).paramType='H,gamma';
    c = makeCommunity(lengths(i), comms(i).p1, comms(i).p2, getCondition(comms(i).paramType));
    graph(comms(i).members,comms(i).members) = graph(comms(i).members,comms(i).members) | c;
end

figure;imagesc(graph);
computeLL(getCommunityStatisticsForMultipleCommunities(graph,comms))

[ordGraph,orderOfGraph] = degree_ord(graph);

ordComms = comms;
for i=1:length(comms)
    ordComms(i).members = [];
    for j = comms(i).members, 
        ordComms(i).members(end+1) = find(orderOfGraph == j);
    end
end
figure;imagesc(ordGraph);
computeLL(getCommunityStatisticsForMultipleCommunities(ordGraph,ordComms))
