% extends communities from the core
trials = 100; trial = 1;
results = cell(trials,6);

graph = zeros(101,101); 
c = {3,2};
c{1,1} = makeCommunity(40, 4, 15, @conditionHGamma); c{1,2} = 1;
c{2,1} = makeCommunity(50, 4, 10, @conditionHGamma); c{2,2} = 31;
c{3,1} = makeCommunity(40, 1, 5, @conditionHGamma); c{3,2} = 61;
graph(c{1,2}:c{1,2}+length(c{1,1})-1,c{1,2}:c{1,2}+length(c{1,1})-1) = ...
    graph(c{1,2}:c{1,2}+length(c{1,1})-1,c{1,2}:c{1,2}+length(c{1,1})-1) | c{1,1};
graph(c{2,2}:c{2,2}+length(c{2,1})-1,c{2,2}:c{2,2}+length(c{2,1})-1) = ...
    graph(c{2,2}:c{2,2}+length(c{2,1})-1,c{2,2}:c{2,2}+length(c{2,1})-1) | c{2,1};
graph(c{3,2}:c{3,2}+length(c{3,1})-1,c{3,2}:c{3,2}+length(c{3,1})-1) = ...
    graph(c{3,2}:c{3,2}+length(c{3,1})-1,c{3,2}:c{3,2}+length(c{3,1})-1) | c{3,1};

while trial <= trials
    start = getTriangle(graph);
    [ foundComm, LL2, p12, p22 ] = growCommunity(start,graph,'H,gamma');
    jaccards = nan(3,1); 
    for i=1:3
        jaccards(i) = jaccard(foundComm,(1:length(c{i,1}))+c{i,2}-1); 
    end
    results(trial,:) = { start,foundComm, LL2, p12, p22, jaccards};    
    
    figure; 
    hold on;
    [orderedComm,orderOfComm] = degree_ord(graph(foundComm,foundComm));
    [x,y]=find(orderedComm);
    scatter(x-1,y-1);
    [v,i]=max(results{trial,6});
    [int, foundComm_int, ~] = intersect(foundComm(orderOfComm),(1:length(c{i,1}))+c{i,2}-1);
    orderedComm(foundComm_int,foundComm_int)=orderedComm(foundComm_int,foundComm_int)*2;
    [x,y]=find(orderedComm==2);
    scatter(x-1,y-1, 'x');
    [triangle, triangle_int, ~] = intersect(foundComm(orderOfComm), results{trial,1});
    xy=perms(triangle_int);
    scatter(xy(:,2)-1,xy(:,3)-1, '*');    
    area(0:length(foundComm)-1,... 
        sum(makeCommunity(length(foundComm), p12, p22, @conditionHGamma)), ...
        'faceColor', 'none');
    title(['best fit: community ' int2str(i)]);
    plotGraph = graph;
    plotGraph(foundComm,foundComm)=plotGraph(foundComm,foundComm)*0.5;
    figure; imagesc(plotGraph)

    trial = trial + 1;
end